=== debian/changelog ===
ros-galactic-tlsf (0.5.2-2focal) focal; urgency=high

  * Switch to standard __VA_ARGS__. (#9 <https://github.com/ros2/tlsf/issues/9>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-tlsf (0.5.1-2focal) focal; urgency=high

  * Enable basic warnings (#8 <https://github.com/ros2/tlsf/issues/8>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-tlsf (0.5.0-2focal) focal; urgency=high

  * Change maintainer to me.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 Jun 2018 07:00:00 -0000

ros-galactic-tlsf (0.4.0-2focal) focal; urgency=high

  * 0.0.3
  * 0.0.2
  * update schema url
  * add schema to manifest files
  * Merge pull request #4 <https://github.com/ros2/tlsf/issues/4> from ros2/cmake35
    require CMake 3.5
  * require CMake 3.5
  * Disable on Android (#3 <https://github.com/ros2/tlsf/issues/3>)
  * Merge pull request #2 <https://github.com/ros2/tlsf/issues/2> from ros2/ctest_build_testing
    use CTest BUILD_TESTING
  * use CTest BUILD_TESTING
  * Merge pull request #1 <https://github.com/ros2/tlsf/issues/1> from ros2/dirk-thomas-patch-1
    remove -fvisibility-inlines-hidden
  * remove -fvisibility-inlines-hidden
    > warning: command line option ‘-fvisibility-inlines-hidden’ is valid for C++/ObjC++ but not for C
  * Skip Windows and OSX
  * Import tlsf allocator
  * Contributors: Dirk Thomas, Esteve Fernandez, Jackie Kay

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000
